<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="iluvadev.ConsoleProgressBar"/>
        <PackageReference Include="Serilog"/>
        <PackageReference Include="Serilog.Sinks.Console"/>
        <PackageReference Include="ShellProgressBar"/>
        <PackageReference Include="System.CommandLine"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\PkmnLib.Dynamic\PkmnLib.Dynamic.csproj"/>
        <ProjectReference Include="..\..\Plugins\PkmnLib.Plugin.Gen7\PkmnLib.Plugin.Gen7.csproj"/>
    </ItemGroup>

</Project>
